package ch.ethz.se.rpnc.node;

import ch.ethz.se.rpnc.visitor.Visitor;

/**
 * Minus-operator.
 */
public class MinusOperator extends Operator
{
	/**
	 * Create new minus-operator.
	 */
	public MinusOperator() 
	{
		super("-");
	}

	/** 
	 * Implement double dispatch using this operator and the specific visitor passed as argument.
	 * @see ch.ethz.se.rpnc.node.Node#accept(ch.ethz.se.rpnc.visitor.Visitor)
	 */
	public void accept(Visitor visitor) throws Exception
	{
		visitor.visit(this);
	}
}
